Subject: Re: [PATCH v5] doc: add an explanation of Git's data model

From: "Julia Evans" <[email-masked]>
Date: Tue, 04 Nov 2025 19:02:38 -0500

On Tue, Nov 4, 2025, at 6:45 PM, Junio C Hamano wrote:
> "Julia Evans" <[email-masked]> writes:
>
>> I do not see the point of implying that the commit ID is not "special", or that
>> it's only one of many ways to find a commit because to me it seems very special,
>> since there is no way I know of to retrieve a commit that doesn't ultimately
>> end up using the commit ID at some point. (though that ID might not be encoded
>> in hexadecimal)
>
> That is not what I am trying to say.  The hexadecimal name is the
> most neutral way to refer to a commit object, and in that sense it
> is special.  It is the way ref subsystem uses to record the name of
> objects, and that makes it special enough.
>
> But that does not mean that the name _is_ the object.  The
> hexadecimal name is a way you use to name the object, but is not the
> object itself, and the special-ness of that name does not change it.

Okay. I still do not understand at all why this is so important to you
(for the reasons I mentioned before) but I'll see if there's anything I can do.